Bug 2961 - Compilation warnings for pam_smbpass
Compilation warnings for pam_smbpass
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.23
All FreeBSD
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-05 19:51 UTC by Timur Bakeyev
Modified: 2006-05-06 15:06 UTC (History)
0 users

See Also:


Attachments
Jumbo patch for pam_smbpass/* (2.87 KB, patch)
2005-08-05 19:51 UTC, Timur Bakeyev
no flags Details
Update of a jumbo patch (2.96 KB, patch)
2006-04-25 19:12 UTC, Timur Bakeyev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timur Bakeyev 2005-08-05 19:51:29 UTC
It's an old pam module, but still may be in use... During compilation of
3.0.20rc1 bunch of warning spitted:

Compiling pam_smbpass/pam_smb_auth.c with -fPIC -DPIC
In file included from pam_smbpass/pam_smb_auth.c:33:
pam_smbpass/general.h:54:1: warning: "strncasecmp" redefined
In file included from include/includes.h:994,
                 from pam_smbpass/pam_smb_auth.c:21:
include/safe_string.h:62:1: warning: this is the location of the previous definition
pam_smbpass/pam_smb_auth.c: In function `pam_sm_setcred':
pam_smbpass/pam_smb_auth.c:165: warning: passing arg 3 of `pam_get_data' from
incompatible pointer type
Compiling pam_smbpass/pam_smb_passwd.c with -fPIC -DPIC
In file included from pam_smbpass/pam_smb_passwd.c:37:
pam_smbpass/general.h:54:1: warning: "strncasecmp" redefined
In file included from include/includes.h:994,
                 from pam_smbpass/pam_smb_passwd.c:25:
include/safe_string.h:62:1: warning: this is the location of the previous definition
pam_smbpass/pam_smb_passwd.c: In function `pam_sm_chauthtok':
pam_smbpass/pam_smb_passwd.c:227: warning: passing arg 3 of `pam_get_data' from
incompatible pointer type
Compiling pam_smbpass/pam_smb_acct.c with -fPIC -DPIC
In file included from pam_smbpass/pam_smb_acct.c:32:
pam_smbpass/general.h:54:1: warning: "strncasecmp" redefined
In file included from include/includes.h:994,
                 from pam_smbpass/pam_smb_acct.c:21:
include/safe_string.h:62:1: warning: this is the location of the previous definition
Compiling pam_smbpass/support.c with -fPIC -DPIC
In file included from pam_smbpass/support.c:19:
pam_smbpass/general.h:54:1: warning: "strncasecmp" redefined
In file included from include/includes.h:994,
                 from pam_smbpass/support.c:18:
include/safe_string.h:62:1: warning: this is the location of the previous definition
pam_smbpass/support.c: In function `make_remark':
pam_smbpass/support.c:117: warning: assignment discards qualifiers from pointer
target type
pam_smbpass/support.c: In function `_smb_verify_password':
pam_smbpass/support.c:387: warning: passing arg 3 of `pam_get_data' from
incompatible pointer type
pam_smbpass/support.c: In function `_smb_read_password':
pam_smbpass/support.c:518: warning: assignment discards qualifiers from pointer
target type
pam_smbpass/support.c:526: warning: assignment discards qualifiers from pointer
target type
pam_smbpass/support.c:531: warning: assignment discards qualifiers from pointer
target type
pam_smbpass/support.c:597: warning: passing arg 3 of `pam_get_data' from
incompatible pointer type

Nothing fatal, but still... Here is the patch, that seems fixes the problems.
Comment 1 Timur Bakeyev 2005-08-05 19:51:59 UTC
Created attachment 1358 [details]
Jumbo patch for pam_smbpass/*
Comment 2 Timur Bakeyev 2006-04-25 19:12:55 UTC
Created attachment 1874 [details]
Update of a jumbo patch
Comment 3 Volker Lendecke 2006-05-06 15:06:28 UTC
Timur, I'm closing this as fixed. For the remaining warnings you get we need to find another solution. The worst case might be a configure check...

Volker